Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Class OracleDatabasePersistencePlugin

    java.lang.Object
      org.jboss.ejb.txtimer.GeneralPurposeDatabasePersistencePlugin
          org.jboss.ejb.txtimer.OracleDatabasePersistencePlugin

All Implemented Interfaces:
  DatabasePersistencePlugin

public class OracleDatabasePersistencePlugin
extends GeneralPurposeDatabasePersistencePlugin

This DatabasePersistencePlugin uses getBinaryStream/setBinaryStream to persist the serializable objects associated with the timer.

Since:
  23-Sep-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.ejb.txtimer.GeneralPurposeDatabasePersistencePlugin
`dataSourceName, ds, metaDataName, server`

Constructor Summary
`OracleDatabasePersistencePlugin()`

Method Summary
`void` | `insertTimer(String timerId, TimedObjectId timedObjectId, Date initialExpiration, long intervalDuration, Serializable info)` Insert a timer object
`List` | `selectTimers()` Select a list of currently persisted timer handles

Methods inherited from class org.jboss.ejb.txtimer.GeneralPurposeDatabasePersistencePlugin
`clearTimers, createTableIfNotExists, deleteTimer, deserialize, deserialize, getColumnInfo, getColumnInitialDate, getColumnInstancePK, getColumnTargetID, getColumnTimerID, getColumnTimerInterval, getTableName, init, serialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDatabasePersistencePlugin

    public OracleDatabasePersistencePlugin()

Method Detail

### insertTimer

    public void insertTimer(String timerId,
                            TimedObjectId timedObjectId,
                            Date initialExpiration,
                            long intervalDuration,
                            Serializable info)
                     throws SQLException

  Insert a timer object

  Specified by:
    `insertTimer` in interface `DatabasePersistencePlugin`
  Overrides:
    `insertTimer` in class `GeneralPurposeDatabasePersistencePlugin`
  Throws:
    `SQLException`

### selectTimers

    public List selectTimers()
                      throws SQLException

  Select a list of currently persisted timer handles

  Specified by:
    `selectTimers` in interface `DatabasePersistencePlugin`
  Overrides:
    `selectTimers` in class `GeneralPurposeDatabasePersistencePlugin`
  Returns:
    List
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.